Skip to content
Dashboard
Theme
Theme

Create role rule

POST /v1/role_rules: Create role rule.

View Markdown

POST /v1/role_rules

Scope
policies:write
Auth
Secret key (sk_…)
Since
1.0
  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

  • organization string

  • kind string Required

    one of group, domain, connection

  • match RoleRuleMatch Required

  • role string Required

    min length 1 · max length 128

  • priority integer Required

  • condition RoleRuleCondition

Errors share one shape; see the error code catalogue.

curl -X POST \
"https://api.ohauthcat.com/v1/role_rules" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"kind": "group",
"match": {
"idp_group": "Engineering",
"scim_group": "dgrp_01J9ZQ4M7K2X8V3N5B6C1D0E9F",
"domain": "acme.com",
"connection": "conn_01J9ZQ4M7K2X8V3N5B6C1D0E9F"
},
"role": "admin",
"priority": 1
}'
Response 201
{
"id": "rrule_01J9ZQ4M7K2X8V3N5B6C1D0E9F",
"object": "role_rule",
"organization": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"kind": "group",
"match": {
"idp_group": "Engineering",
"scim_group": "dgrp_01J9ZQ4M7K2X8V3N5B6C1D0E9F",
"domain": "acme.com",
"connection": "conn_01J9ZQ4M7K2X8V3N5B6C1D0E9F"
},
"role": "admin",
"priority": 1,
"condition": {
"action": "allow",
"expr": {
"kind": "leaf",
"attribute": "email",
"operator": "equals",
"values": [
"enterprise"
],
"children": [
null
]
}
},
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z"
}